#Service
server:
  port: 8050
spring:
  profiles:
    active: test
  application:
    name: liankong-service-policy
  main:
    allow-bean-definition-overriding: true
  jackson:
    deserialization:
      FAIL_ON_UNKNOWN_PROPERTIES: false
    date-format: yyyy-MM-dd HH:mm:ss
    locale: zh_CN
    time-zone: GMT+8
    default-property-inclusion: non_null
  cloud:
    nacos:
      server-addr: nacos.scfile.cn:8848
      discovery:
        namespace: liankong
        username: liankong
        password: liankong2020
      config:
        file-extension: yaml
        namespace: liankong
        username: liankong
        password: liankong2020



#logger
logging:
  level:
    cn.scfile.liankong.db: debug

mybatis-plus:
  mapper-locations: classpath*:mybatis/*.xml
  typeEnumsPackage: com.youhong.liankong.db.*.enums
  global-config:
    refresh: true
    db-config:
      id-type: ASSIGN_ID

# ribbon
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 30000

